For the complete documentation index, see llms.txt. This page is also available as Markdown.

Kafka

Fetch Kafka Access Control Lists

get

Fetch Kafka Access Control Lists

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Path parameters
environmentstringRequired
Responses
200Success
application/json
resourceTypestringRequired
resourceNamestringRequired
patternTypestringOptional
principalstringRequired
permissionTypestringRequired
hoststringRequired
operationstringRequired
lrnstringRequired
get/api/v1/environments/{environment}/proxy/api/acl
GET /api/v1/environments/{environment}/proxy/api/acl HTTP/1.1
Host: api.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "resourceType": "text",
    "resourceName": "text",
    "patternType": "text",
    "principal": "text",
    "permissionType": "text",
    "host": "text",
    "operation": "text",
    "lrn": "text"
  }
]

Create or update a Kafka Access Control List

put

Create or update a Kafka Access Control List

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Path parameters
environmentstringRequired
Body
resourceTypestringRequired
resourceNamestringRequired
patternTypestringOptional
principalstringRequired
permissionTypestringRequired
hoststringRequired
operationstringRequired
Responses
200Success

No content

put/api/v1/environments/{environment}/proxy/api/acl
PUT /api/v1/environments/{environment}/proxy/api/acl HTTP/1.1
Host: api.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 162

{
  "resourceType": "Topic",
  "resourceName": "trades",
  "patternType": "LITERAL",
  "principal": "User:Alice",
  "permissionType": "Allow",
  "host": "example.com",
  "operation": "Read"
}

No content

Remove a Kafka Access Control List

delete

Remove a Kafka Access Control List

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Path parameters
environmentstringRequired
Body
resourceTypestringRequired
resourceNamestringRequired
patternTypestringOptional
principalstringRequired
permissionTypestringRequired
hoststringRequired
operationstringRequired
lrnstringRequired
Responses
200Success

No content

delete/api/v1/environments/{environment}/proxy/api/acl
DELETE /api/v1/environments/{environment}/proxy/api/acl HTTP/1.1
Host: api.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 250

{
  "resourceType": "Topic",
  "resourceName": "trades",
  "patternType": "LITERAL",
  "principal": "User:Alice",
  "permissionType": "Allow",
  "host": "example.com",
  "operation": "Read",
  "lrn": "kafka:acl:${Environment}/kafka/${AclResourceType}/${PrincipalType}/${Principal}"
}

No content

List Kafka quotas

get

Fetch all Kafka client quotas

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Path parameters
environmentstringRequired
Responses
200Success
application/json
entityTypestring · enumRequiredPossible values:
entityNamestringRequired
childstringOptional
urlstringRequired
lrnstringRequired
isAuthorizedbooleanRequired
get/api/v1/environments/{environment}/proxy/api/quotas
GET /api/v1/environments/{environment}/proxy/api/quotas HTTP/1.1
Host: api.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "entityType": "USERCLIENT",
    "entityName": "text",
    "child": "text",
    "properties": {
      "ANY_ADDITIONAL_PROPERTY": "text"
    },
    "url": "text",
    "lrn": "text",
    "isAuthorized": true
  }
]

Set user quota

put

Create or update a Kafka quota for a specific user

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Path parameters
environmentstringRequired
usernamestringRequired

The user to create the quota for

Example: jane
Body
Other propertiesstringOptional
Responses
200Success

No content

put/api/v1/environments/{environment}/proxy/api/quotas/users/{username}
PUT /api/v1/environments/{environment}/proxy/api/quotas/users/{username} HTTP/1.1
Host: api.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 87

{
  "producer_byte_rate": "100000",
  "consumer_byte_rate": "200000",
  "request_percentage": "75"
}

No content

Delete user quota

delete

Delete quota properties for a specific user

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Path parameters
environmentstringRequired
usernamestringRequired

The user to delete the quota for

Example: jane
Bodystring[]
string[]Optional
Responses
200Success

No content

delete/api/v1/environments/{environment}/proxy/api/quotas/users/{username}
DELETE /api/v1/environments/{environment}/proxy/api/quotas/users/{username} HTTP/1.1
Host: api.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 64

[
  "producer_byte_rate",
  "consumer_byte_rate",
  "request_percentage"
]

No content

Set client quota

put

Create or update a Kafka quota for a specific client ID

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Path parameters
environmentstringRequired
client-idstringRequired

The client id to create the quota for

Example: app1
Body
Other propertiesstringOptional
Responses
200Success

No content

put/api/v1/environments/{environment}/proxy/api/quotas/clients/{client-id}
PUT /api/v1/environments/{environment}/proxy/api/quotas/clients/{client-id} HTTP/1.1
Host: api.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 87

{
  "producer_byte_rate": "100000",
  "consumer_byte_rate": "200000",
  "request_percentage": "75"
}

No content

Delete client quota

delete

Delete quota properties for a specific client ID

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Path parameters
environmentstringRequired
client-idstringRequired

The client id to create the quota for

Example: app1
Bodystring[]
string[]Optional
Responses
200Success

No content

delete/api/v1/environments/{environment}/proxy/api/quotas/clients/{client-id}
DELETE /api/v1/environments/{environment}/proxy/api/quotas/clients/{client-id} HTTP/1.1
Host: api.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 64

[
  "producer_byte_rate",
  "consumer_byte_rate",
  "request_percentage"
]

No content

Set default client quota for user

put

Create or update the default Kafka quota for all clients of a specific user

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Path parameters
environmentstringRequired
usernamestringRequired

The user to delete the quota for

Example: jane
Body
Other propertiesstringOptional
Responses
200Success

No content

put/api/v1/environments/{environment}/proxy/api/quotas/users/{username}/clients
PUT /api/v1/environments/{environment}/proxy/api/quotas/users/{username}/clients HTTP/1.1
Host: api.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 87

{
  "producer_byte_rate": "100000",
  "consumer_byte_rate": "200000",
  "request_percentage": "75"
}

No content

Delete default client quota for user

delete

Delete default quota properties for all clients of a specific user

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Path parameters
environmentstringRequired
usernamestringRequired

The user to delete the quota for

Example: jane
Bodystring[]
string[]Optional
Responses
200Success

No content

delete/api/v1/environments/{environment}/proxy/api/quotas/users/{username}/clients
DELETE /api/v1/environments/{environment}/proxy/api/quotas/users/{username}/clients HTTP/1.1
Host: api.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 64

[
  "producer_byte_rate",
  "consumer_byte_rate",
  "request_percentage"
]

No content

Set default user quota

put

Create or update the default Kafka quota for all users

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Path parameters
environmentstringRequired
Body
Other propertiesstringOptional
Responses
200Success

No content

put/api/v1/environments/{environment}/proxy/api/quotas/users
PUT /api/v1/environments/{environment}/proxy/api/quotas/users HTTP/1.1
Host: api.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 87

{
  "producer_byte_rate": "100000",
  "consumer_byte_rate": "200000",
  "request_percentage": "75"
}

No content

Delete default user quota

delete

Delete default quota properties for all users

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Path parameters
environmentstringRequired
Bodystring[]
string[]Optional
Responses
200Success

No content

delete/api/v1/environments/{environment}/proxy/api/quotas/users
DELETE /api/v1/environments/{environment}/proxy/api/quotas/users HTTP/1.1
Host: api.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 64

[
  "producer_byte_rate",
  "consumer_byte_rate",
  "request_percentage"
]

No content

Set default client quota

put

Create or update the default Kafka quota for all clients

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Path parameters
environmentstringRequired
Body
Other propertiesstringOptional
Responses
200Success

No content

put/api/v1/environments/{environment}/proxy/api/quotas/clients
PUT /api/v1/environments/{environment}/proxy/api/quotas/clients HTTP/1.1
Host: api.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 87

{
  "producer_byte_rate": "100000",
  "consumer_byte_rate": "200000",
  "request_percentage": "75"
}

No content

Delete default client quota

delete

Delete default quota properties for all clients

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Path parameters
environmentstringRequired
Bodystring[]
string[]Optional
Responses
200Success

No content

delete/api/v1/environments/{environment}/proxy/api/quotas/clients
DELETE /api/v1/environments/{environment}/proxy/api/quotas/clients HTTP/1.1
Host: api.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 64

[
  "producer_byte_rate",
  "consumer_byte_rate",
  "request_percentage"
]

No content

Set user and client quota

put

Create or update a Kafka quota for a specific user and client ID combination

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Path parameters
environmentstringRequired
usernamestringRequired

The user to delete the quota for

Example: jane
client-idstringRequired

The client id to create the quota for

Example: app1
Body
Other propertiesstringOptional
Responses
200Success

No content

put/api/v1/environments/{environment}/proxy/api/quotas/users/{username}/clients/{client-id}
PUT /api/v1/environments/{environment}/proxy/api/quotas/users/{username}/clients/{client-id} HTTP/1.1
Host: api.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 87

{
  "producer_byte_rate": "100000",
  "consumer_byte_rate": "200000",
  "request_percentage": "75"
}

No content

Delete user and client quota

delete

Delete quota properties for a specific user and client ID combination

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Path parameters
environmentstringRequired
usernamestringRequired

The user to delete the quota for

Example: jane
client-idstringRequired

The client id to create the quota for

Example: app1
Bodystring[]
string[]Optional
Responses
200Success

No content

delete/api/v1/environments/{environment}/proxy/api/quotas/users/{username}/clients/{client-id}
DELETE /api/v1/environments/{environment}/proxy/api/quotas/users/{username}/clients/{client-id} HTTP/1.1
Host: api.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 64

[
  "producer_byte_rate",
  "consumer_byte_rate",
  "request_percentage"
]

No content

Deprecated

Get topic broker configurations (deprecated)

get

Retrieve broker configuration settings for a Kafka topic. This endpoint is deprecated.

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Path parameters
environmentstringRequired
topicstringRequired

The topic name

Responses
200Success
application/json
namestringRequired
valuestringRequired
isDefaultbooleanRequired
isSensitivebooleanRequired
isReadOnlybooleanRequired
get/api/v1/environments/{environment}/proxy/api/topics/{topic}/brokerConfigs
GET /api/v1/environments/{environment}/proxy/api/topics/{topic}/brokerConfigs HTTP/1.1
Host: api.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "name": "text",
    "value": "text",
    "isDefault": true,
    "isSensitive": true,
    "isReadOnly": true
  }
]

Set topic configuration

put

Update configuration settings for a Kafka topic

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Path parameters
environmentstringRequired
topicstringRequired

The topic name

Body
Responses
200Success
application/json
stringOptional
put/api/v1/environments/{environment}/proxy/api/configs/topics/{topic}
PUT /api/v1/environments/{environment}/proxy/api/configs/topics/{topic} HTTP/1.1
Host: api.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 43

{
  "configs": [
    {
      "key": "text",
      "value": "text"
    }
  ]
}
text
Deprecated
get

Retrieve information about a given topic

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Path parameters
environmentstringRequired
p1stringRequired

Name of the topic

Responses
200Success
application/json
topicNamestringRequired
lrnstringRequired
partitionsintegerRequired
replicationintegerRequired
isControlTopicbooleanRequired
isCompactedbooleanRequired
keyTypestringRequired
valueTypestringRequired
totalMessagesinteger · int64Required
messagesPerSecondinteger · int64Required
isMarkedForDeletionbooleanRequired
timestampinteger · int64Required
keySchemastringOptional
keySchemaVersionintegerOptional
keySchemaInlinedstringOptional
valueSchemastringOptional
valueSchemaVersionintegerOptional
valueSchemaInlinedstringOptional
descriptionstringOptional
coveragestring · enumRequiredPossible values:
get/api/v1/environments/{environment}/proxy/api/topics/{p1}
GET /api/v1/environments/{environment}/proxy/api/topics/{p1} HTTP/1.1
Host: api.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "topicName": "text",
  "lrn": "text",
  "partitions": 1,
  "replication": 1,
  "isControlTopic": true,
  "isCompacted": true,
  "keyType": "text",
  "valueType": "text",
  "totalMessages": 1,
  "config": [
    {
      "name": "text",
      "value": "text",
      "isDefault": true,
      "defaultValue": "text",
      "documentation": "text",
      "originalValue": "text"
    }
  ],
  "consumers": [
    {
      "id": "text",
      "lrn": "text",
      "coordinator": {
        "id": 1,
        "host": "text",
        "port": 1,
        "rack": "text"
      },
      "active": true,
      "state": "Unknown",
      "consumers": [
        "text"
      ],
      "consumersCount": 1,
      "topicPartitionsCount": 1,
      "minLag": 1,
      "maxLag": 1,
      "application": {
        "id": "text",
        "lrn": "text",
        "name": "text",
        "type": "AkkaStreams",
        "cluster": "text",
        "namespace": "text"
      },
      "coverage": "full"
    }
  ],
  "messagesPerPartition": [
    {
      "partition": 1,
      "messages": 1,
      "begin": 1,
      "end": 1
    }
  ],
  "messagesPerSecond": 1,
  "isMarkedForDeletion": true,
  "timestamp": 1,
  "keySchema": "text",
  "keySchemaVersion": 1,
  "keySchemaInlined": "text",
  "valueSchema": "text",
  "valueSchemaVersion": 1,
  "valueSchemaInlined": "text",
  "description": "text",
  "tags": [
    {
      "name": "text"
    }
  ],
  "backups": [
    {
      "id": 1,
      "createdAt": "2026-01-01T00:00:00.000Z",
      "topic": "text",
      "connectCluster": "text",
      "connectorName": "text",
      "connectorVersion": "text",
      "s3Location": "text",
      "reference": "text"
    }
  ],
  "restores": [
    {
      "id": 1,
      "createdAt": "2026-01-01T00:00:00.000Z",
      "topic": "text",
      "connectCluster": "text",
      "connectorName": "text",
      "connectorVersion": "text",
      "s3Location": "text",
      "reference": "text"
    }
  ],
  "coverage": "full"
}
Deprecated
get

Retrieve a given topic partition details

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Path parameters
environmentstringRequired
p1stringRequired

Name of the topic

Responses
200Success
application/json
partitionintegerRequired
leaderintegerRequired
preferredLeaderintegerRequired
get/api/v1/environments/{environment}/proxy/api/topics/{p1}/partitions
GET /api/v1/environments/{environment}/proxy/api/topics/{p1}/partitions HTTP/1.1
Host: api.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "partition": 1,
    "leader": 1,
    "preferredLeader": 1,
    "replicas": [
      {
        "broker": 1,
        "leader": true,
        "inSync": true
      }
    ]
  }
]
Deprecated

List Kafka topics summary

get

Retrieve information about all topics

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Path parameters
environmentstringRequired
Responses
200Success
application/json
topicNamestringRequired
lrnstringRequired
partitionsintegerRequired
replicationintegerRequired
isControlTopicbooleanRequired
isCompactedbooleanRequired
keyTypestringRequired
valueTypestringRequired
totalMessagesinteger · int64Required
messagesPerSecondinteger · int64Required
isMarkedForDeletionbooleanRequired
timestampinteger · int64Required
keySchemastringOptional
keySchemaVersionintegerOptional
keySchemaInlinedstringOptional
valueSchemastringOptional
valueSchemaVersionintegerOptional
valueSchemaInlinedstringOptional
descriptionstringOptional
coveragestring · enumRequiredPossible values:
get/api/v1/environments/{environment}/proxy/api/topics
GET /api/v1/environments/{environment}/proxy/api/topics HTTP/1.1
Host: api.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "topicName": "text",
    "lrn": "text",
    "partitions": 1,
    "replication": 1,
    "isControlTopic": true,
    "isCompacted": true,
    "keyType": "text",
    "valueType": "text",
    "totalMessages": 1,
    "config": [
      {
        "name": "text",
        "value": "text",
        "isDefault": true,
        "defaultValue": "text",
        "documentation": "text",
        "originalValue": "text"
      }
    ],
    "consumers": [
      {
        "id": "text",
        "lrn": "text",
        "coordinator": {
          "id": 1,
          "host": "text",
          "port": 1,
          "rack": "text"
        },
        "active": true,
        "state": "Unknown",
        "consumers": [
          "text"
        ],
        "consumersCount": 1,
        "topicPartitionsCount": 1,
        "minLag": 1,
        "maxLag": 1,
        "application": {
          "id": "text",
          "lrn": "text",
          "name": "text",
          "type": "AkkaStreams",
          "cluster": "text",
          "namespace": "text"
        },
        "coverage": "full"
      }
    ],
    "messagesPerPartition": [
      {
        "partition": 1,
        "messages": 1,
        "begin": 1,
        "end": 1
      }
    ],
    "messagesPerSecond": 1,
    "isMarkedForDeletion": true,
    "timestamp": 1,
    "keySchema": "text",
    "keySchemaVersion": 1,
    "keySchemaInlined": "text",
    "valueSchema": "text",
    "valueSchemaVersion": 1,
    "valueSchemaInlined": "text",
    "description": "text",
    "tags": [
      {
        "name": "text"
      }
    ],
    "backups": [
      {
        "id": 1,
        "createdAt": "2026-01-01T00:00:00.000Z",
        "topic": "text",
        "connectCluster": "text",
        "connectorName": "text",
        "connectorVersion": "text",
        "s3Location": "text",
        "reference": "text"
      }
    ],
    "restores": [
      {
        "id": 1,
        "createdAt": "2026-01-01T00:00:00.000Z",
        "topic": "text",
        "connectCluster": "text",
        "connectorName": "text",
        "connectorVersion": "text",
        "s3Location": "text",
        "reference": "text"
      }
    ],
    "coverage": "full"
  }
]

Create a Kafka topic

post

Create a new Kafka topic with the specified configuration

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Path parameters
environmentstringRequired
Body
topicNamestringRequired
replicationintegerOptional
partitionsintegerOptional
Responses
201Success
application/json
stringOptional
post/api/v1/environments/{environment}/proxy/api/topics
POST /api/v1/environments/{environment}/proxy/api/topics HTTP/1.1
Host: api.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 96

{
  "topicName": "text",
  "replication": 1,
  "partitions": 1,
  "configs": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  }
}
text

Get Kafka topic partitions

get

Retrieve information about partitions of a given topic

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Path parameters
environmentstringRequired
topicstringRequired

Name of the topic

Responses
200Success
application/json
jmxLastRetrievedAtstring · date-timeOptional
get/api/v1/environments/{environment}/proxy/api/v2/topics/{topic}/partitions
GET /api/v1/environments/{environment}/proxy/api/v2/topics/{topic}/partitions HTTP/1.1
Host: api.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "partitions": [
    {
      "partition": 1,
      "leader": 1,
      "preferredLeader": 1,
      "messages": 1,
      "begin": 1,
      "end": 1,
      "bytes": 1,
      "replicas": [
        {
          "broker": 1,
          "leader": true,
          "inSync": true
        }
      ]
    }
  ],
  "jmxLastRetrievedAt": "2026-01-01T00:00:00.000Z"
}

Resend a Kafka message

put

Resend a kafka message

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Path parameters
environmentstringRequired
topicstringRequired

Name of the topic

partitionintegerRequired

Kafka partition

offsetinteger · int64Required

Kafka offset

Responses
200Success
application/json
partitionintegerRequired
offsetinteger · int64Required
put/api/v1/environments/{environment}/proxy/api/topics/{topic}/{partition}/{offset}/resend
PUT /api/v1/environments/{environment}/proxy/api/topics/{topic}/{partition}/{offset}/resend HTTP/1.1
Host: api.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "partition": 1,
  "offset": 1
}

Increase Kafka topic partitions

put

Increase the number of partitions for a Kafka topic

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Path parameters
environmentstringRequired
topicNamestringRequired
Body
partitionsintegerRequired
Responses
200Success
application/json
partitionsintegerRequired
put/api/v1/environments/{environment}/proxy/api/v1/kafka/topics/{topicName}/partitions
PUT /api/v1/environments/{environment}/proxy/api/v1/kafka/topics/{topicName}/partitions HTTP/1.1
Host: api.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 16

{
  "partitions": 1
}
{
  "partitions": 1
}

Delete Kafka topic records

delete

Delete records from a Kafka topic partition up to a specific offset

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Path parameters
environmentstringRequired
topicNamestringRequired
partitionintegerRequired
offsetinteger · int64Required
Responses
200Success
application/json
stringOptional
delete/api/v1/environments/{environment}/proxy/api/topics/{topicName}/{partition}/{offset}
DELETE /api/v1/environments/{environment}/proxy/api/topics/{topicName}/{partition}/{offset} HTTP/1.1
Host: api.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
text

Delete a Kafka topic

delete

Delete a Kafka topic. The topic will be marked for deletion.

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Path parameters
environmentstringRequired
topicNamestringRequired
Responses
200Success
application/json
stringOptional
delete/api/v1/environments/{environment}/proxy/api/topics/{topicName}
DELETE /api/v1/environments/{environment}/proxy/api/topics/{topicName} HTTP/1.1
Host: api.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
text
Deprecated

Get Kafka topic details (deprecated)

get

Deprecated. To fetch Kafka topic details, please, use (listDatasets) /api/v1/datasets.

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Path parameters
environmentstringRequired
Responses
200Success
application/json
topicNamestringRequired
lrnstringRequired
partitionsintegerRequired
replicationintegerRequired
isControlTopicbooleanRequired
keyTypestringRequired
valueTypestringRequired
totalMessagesinteger · int64Required
configsintegerRequired
consumersintegerRequired
messagesPerSecondinteger · int64Required
isMarkedForDeletionbooleanRequired
isCompactedbooleanRequired
descriptionstringOptional
sizeinteger · int64Optional
get/api/v1/environments/{environment}/proxy/api/v1/kafka/topics
GET /api/v1/environments/{environment}/proxy/api/v1/kafka/topics HTTP/1.1
Host: api.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "topicName": "text",
    "lrn": "text",
    "partitions": 1,
    "replication": 1,
    "isControlTopic": true,
    "keyType": "text",
    "valueType": "text",
    "totalMessages": 1,
    "configs": 1,
    "consumers": 1,
    "messagesPerSecond": 1,
    "isMarkedForDeletion": true,
    "isCompacted": true,
    "description": "text",
    "tags": [
      {
        "name": "text"
      }
    ],
    "size": 1
  }
]
Deprecated

Get Kafka topics details (deprecated)

get

Deprecated. To fetch Kafka topic details, please, use (listDatasets) /api/v1/datasets.

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Path parameters
environmentstringRequired
Query parameters
pageintegerOptional

The page number to be returned, must be greater than zero. Defaults to 1.

Example: 1
pageSizeintegerRequired

The elements amount on a single page, must be greater than zero.

Example: 25
sortBystring · enumOptional

The field to sort results by

Possible values:
sortingOrderstring · enumOptional

Sorting order. Defaults to ascending

Possible values:
namestringOptional

Filter by topic name

includeSystemTopicsbooleanOptional
Responses
200Success
application/json
pageCountinteger · int64Required
totalTopicCountinteger · int64Required
get/api/v1/environments/{environment}/proxy/api/v2/kafka/topics
GET /api/v1/environments/{environment}/proxy/api/v2/kafka/topics?pageSize=1 HTTP/1.1
Host: api.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "topics": [
    {
      "topicName": "text",
      "lrn": "text",
      "partitions": 1,
      "replication": 1,
      "isControlTopic": true,
      "keyType": "text",
      "valueType": "text",
      "totalMessages": 1,
      "configs": 1,
      "consumers": 1,
      "messagesPerSecond": 1,
      "isMarkedForDeletion": true,
      "isCompacted": true,
      "description": "text",
      "tags": [
        {
          "name": "text"
        }
      ],
      "size": 1
    }
  ],
  "pageCount": 1,
  "totalTopicCount": 1
}

Get Kafka topic short summary

get

Returns a Kafka topic short summary

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Path parameters
environmentstringRequired
topicNamestringRequired
Responses
200Success
application/json
topicNamestringRequired
lrnstringRequired
partitionsintegerRequired
replicationintegerRequired
isControlTopicbooleanRequired
keyTypestringRequired
valueTypestringRequired
totalMessagesinteger · int64Required
configsintegerRequired
consumersintegerRequired
messagesPerSecondinteger · int64Required
isMarkedForDeletionbooleanRequired
isCompactedbooleanRequired
descriptionstringOptional
sizeinteger · int64Optional
get/api/v1/environments/{environment}/proxy/api/v2/kafka/topics/{topicName}
GET /api/v1/environments/{environment}/proxy/api/v2/kafka/topics/{topicName} HTTP/1.1
Host: api.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "topicName": "text",
  "lrn": "text",
  "partitions": 1,
  "replication": 1,
  "isControlTopic": true,
  "keyType": "text",
  "valueType": "text",
  "totalMessages": 1,
  "configs": 1,
  "consumers": 1,
  "messagesPerSecond": 1,
  "isMarkedForDeletion": true,
  "isCompacted": true,
  "description": "text",
  "tags": [
    {
      "name": "text"
    }
  ],
  "size": 1
}

Get Kafka topic key schema

get

Returns the schema associated with the topic key payload.

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Path parameters
environmentstringRequired
topicstringRequired

The Kafka topic name

Responses
200Success
application/json
schemastringOptional
versionintegerOptional
inlinedSchemastringOptional
get/api/v1/environments/{environment}/proxy/api/v1/kafka/topics/{topic}/schema/key
GET /api/v1/environments/{environment}/proxy/api/v1/kafka/topics/{topic}/schema/key HTTP/1.1
Host: api.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "schema": "text",
  "version": 1,
  "inlinedSchema": "text"
}

Get Kafka topic value schema

get

Returns the schema associated with the topic value payload.

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Path parameters
environmentstringRequired
topicstringRequired

The Kafka topic name

Responses
200Success
application/json
schemastringOptional
versionintegerOptional
inlinedSchemastringOptional
get/api/v1/environments/{environment}/proxy/api/v1/kafka/topics/{topic}/schema/value
GET /api/v1/environments/{environment}/proxy/api/v1/kafka/topics/{topic}/schema/value HTTP/1.1
Host: api.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "schema": "text",
  "version": 1,
  "inlinedSchema": "text"
}

Create Kafka topic V1

post

For AVRO, JSON, CSV, and XML it is required to provide a schema, but not for primitives (INT, LONG, STRING, BYTES), custom Lenses serde or formats like SW*** and TW***. When using AVRO the schema will be registered with the Schema Registry and the process will fail if that step fails.

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Path parameters
environmentstringRequired
Body
namestringRequired
replicationintegerOptional
partitionsintegerOptional
Responses
201Success

No content

post/api/v1/environments/{environment}/proxy/api/v1/kafka/topic
POST /api/v1/environments/{environment}/proxy/api/v1/kafka/topic HTTP/1.1
Host: api.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 188

{
  "name": "text",
  "replication": 1,
  "partitions": 1,
  "configs": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  },
  "format": {
    "key": {
      "format": "TWAVRO",
      "schema": "text"
    },
    "value": {
      "format": "TWAVRO",
      "schema": "text"
    }
  }
}

No content

Backup Kafka topic to S3

post

Back up a topic to S3. You must configure the bucket, optional prefix and the flush settings.

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Path parameters
environmentstringRequired
topicstringRequired

The topic name

Body
clusterstringRequired
Responses
201Success
application/json
idinteger · int64Required
connectorstringRequired
clusterstringRequired
post/api/v1/environments/{environment}/proxy/api/v1/kafka/topic/{topic}/backup
POST /api/v1/environments/{environment}/proxy/api/v1/kafka/topic/{topic}/backup HTTP/1.1
Host: api.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 99

{
  "cluster": "text",
  "s3": {
    "bucket": "text",
    "prefix": "text"
  },
  "flush": {
    "count": 1,
    "size": 1,
    "interval": 1
  }
}
{
  "id": 1,
  "connector": "text",
  "cluster": "text"
}

Restore Kafka topic from S3

post

Restores data from S3 into the target topic.

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Path parameters
environmentstringRequired
topicstringRequired

The topic name

Body
clusterstringRequired
storageFormatstring · enumRequiredPossible values:
Responses
201Success
application/json
idinteger · int64Required
connectorstringRequired
clusterstringRequired
post/api/v1/environments/{environment}/proxy/api/v1/kafka/topic/{topic}/restore
POST /api/v1/environments/{environment}/proxy/api/v1/kafka/topic/{topic}/restore HTTP/1.1
Host: api.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 80

{
  "cluster": "text",
  "s3": {
    "bucket": "text",
    "prefix": "text"
  },
  "storageFormat": "avro"
}
{
  "id": 1,
  "connector": "text",
  "cluster": "text"
}

Get topic metadata

get

Retrieve metadata for a specific Kafka topic

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Path parameters
environmentstringRequired
topicNamestringRequired

Kafka Topic name

Responses
200Success
application/json
topicNamestringRequired
lrnstringRequired
keyTypestringRequired
valueTypestringRequired
keySchemastringOptional
keySchemaVersionintegerOptional
keySchemaInlinedstringOptional
valueSchemastringOptional
valueSchemaVersionintegerOptional
valueSchemaInlinedstringOptional
descriptionstringOptional
tagsstring[]Optional
additionalInfoanyOptional
coveragestring · enumRequiredPossible values:
get/api/v1/environments/{environment}/proxy/api/metadata/topics/{topicName}
GET /api/v1/environments/{environment}/proxy/api/metadata/topics/{topicName} HTTP/1.1
Host: api.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "topicName": "text",
  "lrn": "text",
  "keyType": "text",
  "valueType": "text",
  "keySchema": "text",
  "keySchemaVersion": 1,
  "keySchemaInlined": "text",
  "valueSchema": "text",
  "valueSchemaVersion": 1,
  "valueSchemaInlined": "text",
  "description": "text",
  "tags": [
    "text"
  ],
  "additionalInfo": null,
  "coverage": "full"
}

Delete topic metadata

delete

Delete metadata for a specific Kafka topic

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Path parameters
environmentstringRequired
topicNamestringRequired

The topic name

Responses
200Success

No content

delete/api/v1/environments/{environment}/proxy/api/metadata/topics/{topicName}
DELETE /api/v1/environments/{environment}/proxy/api/metadata/topics/{topicName} HTTP/1.1
Host: api.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

List all topics metadata

get

Retrieve metadata for all Kafka topics

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Path parameters
environmentstringRequired
Responses
200Success
application/json
topicNamestringRequired
lrnstringRequired
keyTypestringRequired
valueTypestringRequired
keySchemastringOptional
keySchemaVersionintegerOptional
keySchemaInlinedstringOptional
valueSchemastringOptional
valueSchemaVersionintegerOptional
valueSchemaInlinedstringOptional
descriptionstringOptional
tagsstring[]Optional
additionalInfoanyOptional
coveragestring · enumRequiredPossible values:
get/api/v1/environments/{environment}/proxy/api/metadata/topics
GET /api/v1/environments/{environment}/proxy/api/metadata/topics HTTP/1.1
Host: api.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "topicName": "text",
    "lrn": "text",
    "keyType": "text",
    "valueType": "text",
    "keySchema": "text",
    "keySchemaVersion": 1,
    "keySchemaInlined": "text",
    "valueSchema": "text",
    "valueSchemaVersion": 1,
    "valueSchemaInlined": "text",
    "description": "text",
    "tags": [
      "text"
    ],
    "additionalInfo": null,
    "coverage": "full"
  }
]

Set topic metadata

post

Create or update metadata for a Kafka topic

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Path parameters
environmentstringRequired
Body
topicNamestringRequired
keyTypestringRequired
valueTypestringRequired
keySchemastringOptional
keySchemaVersionintegerOptional
keySchemaInlinedstringOptional
valueSchemastringOptional
valueSchemaVersionintegerOptional
valueSchemaInlinedstringOptional
descriptionstringOptional
tagsstring[]Optional
additionalInfoanyOptional
Responses
200Success

No content

post/api/v1/environments/{environment}/proxy/api/v1/metadata/topics
POST /api/v1/environments/{environment}/proxy/api/v1/metadata/topics HTTP/1.1
Host: api.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 253

{
  "topicName": "text",
  "keyType": "text",
  "valueType": "text",
  "keySchema": "text",
  "keySchemaVersion": 1,
  "keySchemaInlined": "text",
  "valueSchema": "text",
  "valueSchemaVersion": 1,
  "valueSchemaInlined": "text",
  "description": "text",
  "tags": [
    "text"
  ],
  "additionalInfo": null
}

No content

Get Kafka topic policy

get

Fetches the configured topic creation policy. A default one will be returned if no one exists

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Path parameters
environmentstringRequired
Responses
200Success
application/json
isApplicablebooleanRequired
get/api/v1/environments/{environment}/proxy/api/v1/kafka/topic/policy
GET /api/v1/environments/{environment}/proxy/api/v1/kafka/topic/policy HTTP/1.1
Host: api.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "config": {
    "partitions": {
      "min": 1,
      "max": 1
    },
    "replication": {
      "min": 1,
      "max": 1
    },
    "retention": {
      "size": {
        "default": 1,
        "max": 1
      },
      "time": {
        "default": 1,
        "max": 1
      }
    }
  },
  "naming": {
    "pattern": "text",
    "description": "text"
  },
  "isApplicable": true
}

Set Kafka topic policy

put

Sets the topic creation policy

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Path parameters
environmentstringRequired
Body
Responses
204Success

No content

put/api/v1/environments/{environment}/proxy/api/v1/kafka/topic/policy
PUT /api/v1/environments/{environment}/proxy/api/v1/kafka/topic/policy HTTP/1.1
Host: api.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 189

{
  "config": {
    "partitions": {
      "min": 1
    },
    "replication": {
      "min": 1
    },
    "retention": {
      "size": {
        "max": -1
      },
      "time": {
        "max": -1
      }
    }
  },
  "naming": {
    "pattern": "(prd|stg|dev)-.*",
    "description": "Env prefixed topic name"
  }
}

No content

Deprecated

List Kafka consumer groups

get

Returns the list of Kafka consumer groups

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Path parameters
environmentstringRequired
Responses
200Success
application/json
idstringRequired
lrnstringRequired
activebooleanRequired
statestring · enumRequiredPossible values:
consumersstring[]Optional
consumersCountintegerRequired
topicPartitionsCountintegerRequired
minLaginteger · int64Optional
maxLaginteger · int64Optional
coveragestring · enumRequiredPossible values:
get/api/v1/environments/{environment}/proxy/api/consumers
GET /api/v1/environments/{environment}/proxy/api/consumers HTTP/1.1
Host: api.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "id": "text",
    "lrn": "text",
    "coordinator": {
      "id": 1,
      "host": "text",
      "port": 1,
      "rack": "text"
    },
    "active": true,
    "state": "Unknown",
    "consumers": [
      "text"
    ],
    "consumersCount": 1,
    "topicPartitionsCount": 1,
    "minLag": 1,
    "maxLag": 1,
    "application": {
      "id": "text",
      "lrn": "text",
      "name": "text",
      "type": "AkkaStreams",
      "cluster": "text",
      "namespace": "text"
    },
    "coverage": "full"
  }
]
Deprecated

List consumer groups for a topic

get

Returns the consumer groups which are using the given topic

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Path parameters
environmentstringRequired
topicstringRequired

The topic name

Responses
200Success
application/json
idstringRequired
lrnstringRequired
activebooleanRequired
statestring · enumRequiredPossible values:
consumersstring[]Optional
consumersCountintegerRequired
topicPartitionsCountintegerRequired
minLaginteger · int64Optional
maxLaginteger · int64Optional
coveragestring · enumRequiredPossible values:
get/api/v1/environments/{environment}/proxy/api/consumers/{topic}
GET /api/v1/environments/{environment}/proxy/api/consumers/{topic} HTTP/1.1
Host: api.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "id": "text",
    "lrn": "text",
    "coordinator": {
      "id": 1,
      "host": "text",
      "port": 1,
      "rack": "text"
    },
    "active": true,
    "state": "Unknown",
    "consumers": [
      "text"
    ],
    "consumersCount": 1,
    "topicPartitionsCount": 1,
    "minLag": 1,
    "maxLag": 1,
    "application": {
      "id": "text",
      "lrn": "text",
      "name": "text",
      "type": "AkkaStreams",
      "cluster": "text",
      "namespace": "text"
    },
    "coverage": "full"
  }
]

Update consumer group offset

put

Updates the offset for a topic-partition for the given group

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Path parameters
environmentstringRequired
groupIdstringRequired

The consumer group id

topicstringRequired

The topic name

partitioninteger · int64Required

The topic partition number

Body
or
object · agent_EndOptional
or
object · agent_StartOptional
Responses
200Success

No content

put/api/v1/environments/{environment}/proxy/api/consumers/{groupId}/offsets/topics/{topic}/partitions/{partition}
PUT /api/v1/environments/{environment}/proxy/api/consumers/{groupId}/offsets/topics/{topic}/partitions/{partition} HTTP/1.1
Host: api.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 12

{
  "offset": 1
}

No content

Update consumer group offsets

put

Update the offset for a consumer group topic-partition tuples

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Path parameters
environmentstringRequired
groupIdstringRequired

The consumer group id

Body
or
or
Responses
200Success

No content

put/api/v1/environments/{environment}/proxy/api/consumers/{groupId}/offsets
PUT /api/v1/environments/{environment}/proxy/api/consumers/{groupId}/offsets HTTP/1.1
Host: api.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 19

{
  "topics": [
    "text"
  ]
}

No content

Delete a consumer group

delete

Returns the consumer groups which are using the given topic

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Path parameters
environmentstringRequired
consumerGroupNamestringRequired

The consumer group name

Responses
200Success

No content

delete/api/v1/environments/{environment}/proxy/api/consumers/{consumerGroupName}
DELETE /api/v1/environments/{environment}/proxy/api/consumers/{consumerGroupName} HTTP/1.1
Host: api.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Delete consumer group offset

delete

Delete the offset for a topic-partition for the given group

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Path parameters
environmentstringRequired
groupIdstringRequired

The consumer group id

topicstringRequired

The topic name

partitionintegerRequired

The topic partition number

Responses
200Success

No content

delete/api/v1/environments/{environment}/proxy/api/consumers/{groupId}/topics/{topic}/partitions/{partition}/offsets
DELETE /api/v1/environments/{environment}/proxy/api/consumers/{groupId}/topics/{topic}/partitions/{partition}/offsets HTTP/1.1
Host: api.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Delete multiple consumer group offsets

post

Delete the offset for a consumer group topic-partition tuples

Authorizations
AuthorizationstringRequired

The bearer token can be obtained by creating a ServiceAccount.

Path parameters
environmentstringRequired
groupIdstringRequired

The consumer group id

Body
topicsstring[] · min: 1Required
Responses
200Success

No content

post/api/v1/environments/{environment}/proxy/api/consumers/{groupId}/offsets/delete
POST /api/v1/environments/{environment}/proxy/api/consumers/{groupId}/offsets/delete HTTP/1.1
Host: api.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 19

{
  "topics": [
    "text"
  ]
}

No content

Last updated

Was this helpful?